/* worldmap - a world map display program
   Copyright (C) 1998 Andrew Skypeck
  
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.
  
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
  
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>

#include <X11/Intrinsic.h>
#include <X11/Shell.h>

#include "message.h"
#include "xtutil.h"
#include "Map.h"

/* show the geographic position of the cursor in the map */
void
ShowLocation(Widget map, XButtonEvent *event, String *params,
	     Cardinal num_params)
{
  char s[80];
  XmMapGPoint gpt;
  XPoint xp;

  xp.x = event->x; xp.y = event->y;

  XmMapXPointToGPoint(map, &xp, &gpt);

  sprintf(s, "Button %d Down at: lat = %5.2f, lon = %5.2f\n",
	  event->button, gpt.lat, gpt.lon);
  SetMessageArea(s);
}
